## libebml 0.6.3

=== make/linux/Makefile ===
# libebml Makefile
# $Id: Makefile,v 1.5 2003/10/15 20:32:01 mosu Exp $
# Author: Steve Lhomme <robux4 @ users.sf.net>
# Author: Moritz Bunkus <moritz @ bunkus.org>

#
# The library is built without debug information. If you want
# debug information to be included then compile with
# 'make DEBUG=yes'.
#

# Paths
prefix=/usr/local
libdir=$(prefix)/lib
includedir=$(prefix)/include/ebml

# Programs
CXX=g++
LD=g++
DEP=$(CXX) -MM
DEPEND = makedepend
AR = ar rcvu
RANLIB = ranlib
INSTALL = install
INSTALL_OPTS = -m 644
INSTALL_OPTS_LIB = -m 644
INSTALL_DIR_OPTS = -m 755

# Options
EXTENSION=.cpp

ifeq (yes,$(DEBUG))
DEBUGFLAGS=-g -DDEBUG
endif
CXXFLAGS=$(DEBUGFLAGS) -Wall -Wno-unknown-pragmas -ansi -fno-gnu-keywords
LDFLAGS=-L.

CWD=$(shell pwd)

SRC_DIR=$(CWD)/../../src/
INCLUDE_DIR=$(CWD)/../../ebml

# Librarires
INCLUDE=-I$(CWD)/../..
LIBS=

# Names
LIBRARY=libebml.a

# source-files
sources:=$(wildcard ${SRC_DIR}*$(EXTENSION))

# header files; replace .cxx extension with .h
headers:=$(patsubst %$(EXTENSION),%.h,$(sources))

# files holding dependency information; replace .cxx extension with .dep
dependencies:=$(patsubst %$(EXTENSION),%.dep,$(sources))

# object files; replace .cxx extension with .o
objects:=$(patsubst %$(EXTENSION),%.o,$(sources))

DEPENDFLAGS  = ${CXXFLAGS} ${INCLUDE}

all: $(LIBRARY)

lib library: $(LIBRARY)

# Build rules
%.o: %$(EXTENSION)
	$(CXX) -c $(CXXFLAGS) $(INCLUDE) -o $@ $<

$(LIBRARY): $(objects)
	$(AR) $@ $(objects)
	$(RANLIB) $@
#	$(LD) $(LDFLAGS) -o $@ $^ $(LIBS)
#	${LD} -o $@ ${LDFLAGS} ${OBJS} ${LIBS} ${EXTRA_LIBS}

clean:
	rm -f $(objects)
	rm -f $(dependencies)
	rm -f $(LIBRARY)
	rm -f CORE

# what are the source dependencies
depend: $(sources)
	$(DEPEND) $(DEPENDFLAGS) $(sources)

install: $(LIBRARY)
	$(INSTALL) $(INSTALL_DIR_OPTS) -d $(libdir)
	$(INSTALL) $(INSTALL_OPTS_LIB) $(LIBRARY) $(libdir)
	$(INSTALL) $(INSTALL_DIR_OPTS) -d $(includedir)
	for i in $(INCLUDE_DIR)/*.h; do \
		$(INSTALL) $(INSTALL_OPTS) $$i $(includedir) ; \
	done
	$(INSTALL) $(INSTALL_DIR_OPTS) -d $(includedir)/c
	for i in $(INCLUDE_DIR)/c/*.h; do \
		$(INSTALL) $(INSTALL_OPTS) $$i $(includedir)/c ; \
	done

# DO NOT DELETE

=== make/mingw32/Makefile ===
# Project: libebml
# Makefile created by Dev-C++ 4.9.7.0

ifeq (yes,$(DEBUG))
DEBUGFLAGS=-g -DDEBUG
endif
CPP  = g++.exe
CC   = gcc.exe
WINDRES = windres.exe
RES  = 
OBJ  = ../../src/EbmlBinary.o ../../src/EbmlContexts.o ../../src/EbmlCrc32.o ../../src/EbmlDate.o ../../src/EbmlDummy.o ../../src/EbmlElement.o ../../src/EbmlFloat.o ../../src/EbmlHead.o ../../src/EbmlMaster.o ../../src/EbmlSInteger.o ../../src/EbmlStream.o ../../src/EbmlString.o ../../src/EbmlSubHead.o ../../src/EbmlUInteger.o ../../src/EbmlUnicodeString.o ../../src/EbmlVersion.o ../../src/EbmlVoid.o ../../src/IOCallback.o ../../src/MemIOCallback.o ../../src/StdIOCallback.o ../../src/Debug.o $(RES)
LIBS =  
INCS = -I../..
BIN  = libebml.a
CXXFLAGS = $(DEBUGFLAGS) $(INCS) 
CFLAGS = $(DEBUGFLAGS) $(INCS) 

.PHONY: all all-before all-after clean clean-custom

all: lib

lib: all-before libebml.a all-after

clean: clean-custom
	rm -f $(OBJ) $(BIN)

$(BIN): $(OBJ)
	ar r $(BIN) $(OBJ)
	ranlib $(BIN)

../../src/EbmlBinary.o: ../../src/EbmlBinary.cpp
	$(CPP) -c ../../src/EbmlBinary.cpp -o ../../src/EbmlBinary.o $(CXXFLAGS)

../../src/EbmlContexts.o: ../../src/EbmlContexts.cpp
	$(CPP) -c ../../src/EbmlContexts.cpp -o ../../src/EbmlContexts.o $(CXXFLAGS)

../../src/EbmlCrc32.o: ../../src/EbmlCrc32.cpp
	$(CPP) -c ../../src/EbmlCrc32.cpp -o ../../src/EbmlCrc32.o $(CXXFLAGS)

../../src/EbmlDate.o: ../../src/EbmlDate.cpp
	$(CPP) -c ../../src/EbmlDate.cpp -o ../../src/EbmlDate.o $(CXXFLAGS)

../../src/EbmlDummy.o: ../../src/EbmlDummy.cpp
	$(CPP) -c ../../src/EbmlDummy.cpp -o ../../src/EbmlDummy.o $(CXXFLAGS)

../../src/EbmlElement.o: ../../src/EbmlElement.cpp
	$(CPP) -c ../../src/EbmlElement.cpp -o ../../src/EbmlElement.o $(CXXFLAGS)

../../src/EbmlFloat.o: ../../src/EbmlFloat.cpp
	$(CPP) -c ../../src/EbmlFloat.cpp -o ../../src/EbmlFloat.o $(CXXFLAGS)

../../src/EbmlHead.o: ../../src/EbmlHead.cpp
	$(CPP) -c ../../src/EbmlHead.cpp -o ../../src/EbmlHead.o $(CXXFLAGS)

../../src/EbmlMaster.o: ../../src/EbmlMaster.cpp
	$(CPP) -c ../../src/EbmlMaster.cpp -o ../../src/EbmlMaster.o $(CXXFLAGS)

../../src/EbmlSInteger.o: ../../src/EbmlSInteger.cpp
	$(CPP) -c ../../src/EbmlSInteger.cpp -o ../../src/EbmlSInteger.o $(CXXFLAGS)

../../src/EbmlStream.o: ../../src/EbmlStream.cpp
	$(CPP) -c ../../src/EbmlStream.cpp -o ../../src/EbmlStream.o $(CXXFLAGS)

../../src/EbmlString.o: ../../src/EbmlString.cpp
	$(CPP) -c ../../src/EbmlString.cpp -o ../../src/EbmlString.o $(CXXFLAGS)

../../src/EbmlSubHead.o: ../../src/EbmlSubHead.cpp
	$(CPP) -c ../../src/EbmlSubHead.cpp -o ../../src/EbmlSubHead.o $(CXXFLAGS)

../../src/EbmlUInteger.o: ../../src/EbmlUInteger.cpp
	$(CPP) -c ../../src/EbmlUInteger.cpp -o ../../src/EbmlUInteger.o $(CXXFLAGS)

../../src/EbmlUnicodeString.o: ../../src/EbmlUnicodeString.cpp
	$(CPP) -c ../../src/EbmlUnicodeString.cpp -o ../../src/EbmlUnicodeString.o $(CXXFLAGS)

../../src/EbmlVersion.o: ../../src/EbmlVersion.cpp
	$(CPP) -c ../../src/EbmlVersion.cpp -o ../../src/EbmlVersion.o $(CXXFLAGS)

../../src/EbmlVoid.o: ../../src/EbmlVoid.cpp
	$(CPP) -c ../../src/EbmlVoid.cpp -o ../../src/EbmlVoid.o $(CXXFLAGS)

../../src/IOCallback.o: ../../src/IOCallback.cpp
	$(CPP) -c ../../src/IOCallback.cpp -o ../../src/IOCallback.o $(CXXFLAGS)

../../src/MemIOCallback.o: ../../src/MemIOCallback.cpp
	$(CPP) -c ../../src/MemIOCallback.cpp -o ../../src/MemIOCallback.o $(CXXFLAGS)

../../src/StdIOCallback.o: ../../src/StdIOCallback.cpp
	$(CPP) -c ../../src/StdIOCallback.cpp -o ../../src/StdIOCallback.o $(CXXFLAGS)

../../src/Debug.o: ../../src/Debug.cpp
	$(CPP) -c ../../src/Debug.cpp -o ../../src/Debug.o $(CXXFLAGS)

## libebml 0.7.1

=== make/linux/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # libebml Makefile
-# $Id: Makefile,v 1.5 2003/10/15 20:32:01 mosu Exp $
+# $Id: Makefile,v 1.8 2004/05/11 20:27:38 mosu Exp $
 # Author: Steve Lhomme <robux4 @ users.sf.net>
 # Author: Moritz Bunkus <moritz @ bunkus.org>
 
@@ -10,13 +10,18 @@
 #
 
 # Paths
+# BeOS wants the libs and headers in /boot/home/config
+ifeq (BeOS,$(shell uname -s))
+prefix=/boot/home/config
+else
 prefix=/usr/local
+endif
 libdir=$(prefix)/lib
 includedir=$(prefix)/include/ebml
 
 # Programs
 CXX=g++
-LD=g++
+LD=$(CXX)
 DEP=$(CXX) -MM
 DEPEND = makedepend
 AR = ar rcvu
@@ -32,8 +37,6 @@
 ifeq (yes,$(DEBUG))
 DEBUGFLAGS=-g -DDEBUG
 endif
-CXXFLAGS=$(DEBUGFLAGS) -Wall -Wno-unknown-pragmas -ansi -fno-gnu-keywords
-LDFLAGS=-L.
 
 CWD=$(shell pwd)
 
@@ -59,6 +62,8 @@
 # object files; replace .cxx extension with .o
 objects:=$(patsubst %$(EXTENSION),%.o,$(sources))
 
+WARNINGFLAGS=-Wall -Wno-unknown-pragmas -ansi -fno-gnu-keywords -Wshadow
+COMPILEFLAGS=$(WARNINGFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(DEBUGFLAGS) $(INCLUDE)
 DEPENDFLAGS  = ${CXXFLAGS} ${INCLUDE}
 
 all: $(LIBRARY)
@@ -67,13 +72,11 @@
 
 # Build rules
 %.o: %$(EXTENSION)
-	$(CXX) -c $(CXXFLAGS) $(INCLUDE) -o $@ $<
+	$(CXX) -c $(COMPILEFLAGS) -o $@ $<
 
 $(LIBRARY): $(objects)
 	$(AR) $@ $(objects)
 	$(RANLIB) $@
-#	$(LD) $(LDFLAGS) -o $@ $^ $(LIBS)
-#	${LD} -o $@ ${LDFLAGS} ${OBJS} ${LIBS} ${EXTRA_LIBS}
 
 clean:
 	rm -f $(objects)

## libebml 0.7.3

=== make/linux/Makefile ===
--- 
+++ 
@@ -22,8 +22,6 @@
 # Programs
 CXX=g++
 LD=$(CXX)
-DEP=$(CXX) -MM
-DEPEND = makedepend
 AR = ar rcvu
 RANLIB = ranlib
 INSTALL = install
@@ -36,6 +34,10 @@
 
 ifeq (yes,$(DEBUG))
 DEBUGFLAGS=-g -DDEBUG
+endif
+
+ifneq (,$(shell $(CXX) -v 2>&1 | tail -n 1 | grep -i mingw))
+$(error Please use the Makefile in ../mingw32)
 endif
 
 CWD=$(shell pwd)
@@ -56,15 +58,12 @@
 # header files; replace .cxx extension with .h
 headers:=$(patsubst %$(EXTENSION),%.h,$(sources))
 
-# files holding dependency information; replace .cxx extension with .dep
-dependencies:=$(patsubst %$(EXTENSION),%.dep,$(sources))
-
 # object files; replace .cxx extension with .o
 objects:=$(patsubst %$(EXTENSION),%.o,$(sources))
 
 WARNINGFLAGS=-Wall -Wno-unknown-pragmas -ansi -fno-gnu-keywords -Wshadow
 COMPILEFLAGS=$(WARNINGFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(DEBUGFLAGS) $(INCLUDE)
-DEPENDFLAGS  = ${CXXFLAGS} ${INCLUDE}
+DEPENDFLAGS  = $(CXXFLAGS) $(INCLUDE)
 
 all: $(LIBRARY)
 
@@ -80,13 +79,21 @@
 
 clean:
 	rm -f $(objects)
-	rm -f $(dependencies)
 	rm -f $(LIBRARY)
 	rm -f CORE
 
-# what are the source dependencies
-depend: $(sources)
-	$(DEPEND) $(DEPENDFLAGS) $(sources)
+distclean dist-clean: clean
+	rm -f .depend
+
+depend:
+	@echo Calculating dependecies:
+	@rm -f .depend
+	@touch .depend
+	@for i in $(sources); do \
+		o="`echo $$i | sed -e 's/\.c$$/.o/' -e 's/\.cpp$$/.o/'`" ; \
+		echo '  ' $$i: $$o ; \
+		$(CXX) $(DEPENDFLAGS) -MM -MT $$o $$i >> .depend ; \
+	done
 
 install: $(LIBRARY)
 	$(INSTALL) $(INSTALL_DIR_OPTS) -d $(libdir)
@@ -100,4 +107,9 @@
 		$(INSTALL) $(INSTALL_OPTS) $$i $(includedir)/c ; \
 	done
 
+ifneq ($(wildcard .depend),)
+include .depend
+endif
+
 # DO NOT DELETE
+

## libebml 0.7.7

=== make/linux/Makefile ===
--- 
+++ 
@@ -51,6 +51,8 @@
 
 # Names
 LIBRARY=libebml.a
+LIBRARY_SO=libebml.so
+LIBRARY_SO_VER=libebml.so.0
 
 # source-files
 sources:=$(wildcard ${SRC_DIR}*$(EXTENSION))
@@ -60,26 +62,47 @@
 
 # object files; replace .cxx extension with .o
 objects:=$(patsubst %$(EXTENSION),%.o,$(sources))
+objects_so:=$(patsubst %$(EXTENSION),%.lo,$(sources))
 
 WARNINGFLAGS=-Wall -Wno-unknown-pragmas -ansi -fno-gnu-keywords -Wshadow
 COMPILEFLAGS=$(WARNINGFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(DEBUGFLAGS) $(INCLUDE)
 DEPENDFLAGS  = $(CXXFLAGS) $(INCLUDE)
 
-all: $(LIBRARY)
+ifeq (Darwin,$(shell uname -s))
+all: staticlib
+else
+all: staticlib sharedlib
+endif
 
-lib library: $(LIBRARY)
+staticlib: $(LIBRARY)
+
+sharedlib: $(LIBRARY_SO)
+
+lib:
+	@echo "Use the 'staticlib', 'sharedlib' or 'all' targets."
+	@false
 
 # Build rules
 %.o: %$(EXTENSION)
 	$(CXX) -c $(COMPILEFLAGS) -o $@ $<
 
+%.lo: %$(EXTENSION)
+	$(CXX) -c $(COMPILEFLAGS) -fPIC -o $@ $<
+
 $(LIBRARY): $(objects)
 	$(AR) $@ $(objects)
 	$(RANLIB) $@
 
+$(LIBRARY_SO): $(objects_so)
+	$(CXX) -shared -Wl,-soname,$(LIBRARY_SO_VER) -o $(LIBRARY_SO_VER) $(objects_so)
+	rm -f $(LIBRARY_SO)
+	ln -s $(LIBRARY_SO_VER) $(LIBRARY_SO)
+
 clean:
-	rm -f $(objects)
+	rm -f $(objects) $(objects_so)
 	rm -f $(LIBRARY)
+	rm -f $(LIBRARY_SO)
+	rm -f $(LIBRARY_SO_VER)
 	rm -f CORE
 
 distclean dist-clean: clean
@@ -95,9 +118,13 @@
 		$(CXX) $(DEPENDFLAGS) -MM -MT $$o $$i >> .depend ; \
 	done
 
-install: $(LIBRARY)
-	$(INSTALL) $(INSTALL_DIR_OPTS) -d $(libdir)
-	$(INSTALL) $(INSTALL_OPTS_LIB) $(LIBRARY) $(libdir)
+ifeq (Darwin,$(shell uname -s))
+install: install_staticlib install_headers
+else
+install: install_staticlib install_sharedlib install_headers
+endif
+
+install_headers:
 	$(INSTALL) $(INSTALL_DIR_OPTS) -d $(includedir)
 	for i in $(INCLUDE_DIR)/*.h; do \
 		$(INSTALL) $(INSTALL_OPTS) $$i $(includedir) ; \
@@ -107,6 +134,16 @@
 		$(INSTALL) $(INSTALL_OPTS) $$i $(includedir)/c ; \
 	done
 
+install_staticlib: $(LIBRARY)
+	$(INSTALL) $(INSTALL_DIR_OPTS) -d $(libdir)
+	$(INSTALL) $(INSTALL_OPTS_LIB) $(LIBRARY) $(libdir)
+
+install_sharedlib: $(LIBRARY_SO)
+	$(INSTALL) $(INSTALL_DIR_OPTS) -d $(libdir)
+	$(INSTALL) $(INSTALL_OPTS_LIB) $(LIBRARY_SO_VER) $(libdir)
+	ln -s $(LIBRARY_SO_VER) $(libdir)/$(LIBRARY_SO)
+
+
 ifneq ($(wildcard .depend),)
 include .depend
 endif

=== make/mingw32/Makefile ===
# Project: libebml
# Makefile created by Dev-C++ 4.9.7.0

# Normally libebml is built as a static library.
# Uncomment this if you want a shared library instead.
# ATTENTION: If your app uses this DLL you have to define EBML_DLL !
SHARED = yes

# Compile with debug information?
#DEBUG = yes


#
# Don't change anything below this line.
#
ifeq (yes,$(DEBUG))
DEBUGFLAGS=-g -DDEBUG
endif
CXX  = g++.exe
CC   = gcc.exe
WINDRES = windres.exe
RES  = 
SRC  = $(wildcard ../../src/*.cpp)
OBJ  = $(patsubst %.cpp,%.o,$(SRC))
ifeq (yes,$(SHARED))
LIBS = libebml.dll
CXXFLAGS = -DEBML_DLL -DEBML_DLL_EXPORT
else
LIBS = libebml.a
endif
INCS = -I../..
CXXFLAGS += $(DEBUGFLAGS) $(INCS) 

.PHONY: all all-before all-after clean clean-custom

.cpp.o:
	$(CXX) $(CXXFLAGS) -c -o $@ $<

all: lib

lib: $(LIBS)

clean:
	rm -f $(OBJ) libebml.a libebml.dll libebml.dll.a

distclean dist-clean: clean
	rm -f .depend

libebml.a: $(OBJ)
	ar r $@ $(OBJ)
	ranlib $@

libebml.dll: $(OBJ)
	$(CXX) -shared -Wl,--export-all -Wl,--out-implib=$@.a -o $@ $(OBJ)

depend:
	@echo Calculating dependecies:
	@rm -f .depend
	@touch .depend
	@for i in $(SRC); do \
		o="`echo $$i | sed -e 's/\.c$$/.o/' -e 's/\.cpp$$/.o/'`" ; \
		echo '  ' $$i: $$o ; \
		$(CXX) $(CXXFLAGS) -MM -MT $$o $$i >> .depend ; \
	done

#
# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif

## libebml 1.0.0+dfsg

=== make/linux/Makefile ===
--- 
+++ 
@@ -20,10 +20,11 @@
 includedir=$(prefix)/include/ebml
 
 # Programs
-CXX=g++
-LD=$(CXX)
-AR = ar rcvu
-RANLIB = ranlib
+CROSS =
+CXX = $(CROSS)g++
+LD = $(CXX)
+AR = $(CROSS)ar
+RANLIB = $(CROSS)ranlib
 INSTALL = install
 INSTALL_OPTS = -m 644
 INSTALL_OPTS_LIB = -m 644
@@ -34,10 +35,6 @@
 
 ifeq (yes,$(DEBUG))
 DEBUGFLAGS=-g -DDEBUG
-endif
-
-ifneq (,$(shell $(CXX) -v 2>&1 | tail -n 1 | grep -i mingw))
-$(error Please use the Makefile in ../mingw32)
 endif
 
 CWD=$(shell pwd)
@@ -52,7 +49,7 @@
 # Names
 LIBRARY=libebml.a
 LIBRARY_SO=libebml.so
-LIBRARY_SO_VER=libebml.so.0
+LIBRARY_SO_VER=libebml.so.2
 
 # source-files
 sources:=$(wildcard ${SRC_DIR}*$(EXTENSION))
@@ -90,7 +87,7 @@
 	$(CXX) -c $(COMPILEFLAGS) -fPIC -o $@ $<
 
 $(LIBRARY): $(objects)
-	$(AR) $@ $(objects)
+	$(AR) rcvu $@ $(objects)
 	$(RANLIB) $@
 
 $(LIBRARY_SO): $(objects_so)
@@ -141,7 +138,7 @@
 install_sharedlib: $(LIBRARY_SO)
 	$(INSTALL) $(INSTALL_DIR_OPTS) -d $(libdir)
 	$(INSTALL) $(INSTALL_OPTS_LIB) $(LIBRARY_SO_VER) $(libdir)
-	ln -s $(LIBRARY_SO_VER) $(libdir)/$(LIBRARY_SO)
+	ln -fs $(LIBRARY_SO_VER) $(libdir)/$(LIBRARY_SO)
 
 
 ifneq ($(wildcard .depend),)

=== make/mingw32/Makefile ===
--- 
+++ 
@@ -16,25 +16,28 @@
 ifeq (yes,$(DEBUG))
 DEBUGFLAGS=-g -DDEBUG
 endif
-CXX  = g++.exe
-CC   = gcc.exe
-WINDRES = windres.exe
-RES  = 
+CROSS   =
+CXX     = $(CROSS)g++
+CC      = $(CROSS)gcc
+WINDRES = $(CROSS)windres
+RANLIB  = $(CROSS)ranlib
+AR      = $(CROSS)ar
+RES  =
 SRC  = $(wildcard ../../src/*.cpp)
 OBJ  = $(patsubst %.cpp,%.o,$(SRC))
 ifeq (yes,$(SHARED))
 LIBS = libebml.dll
-CXXFLAGS = -DEBML_DLL -DEBML_DLL_EXPORT
+DLLFLAGS = -DEBML_DLL -DEBML_DLL_EXPORT
 else
 LIBS = libebml.a
 endif
-INCS = -I../..
-CXXFLAGS += $(DEBUGFLAGS) $(INCS) 
+INCS = -I$(shell pwd)/../..
+COMPILEFLAGS = $(DEBUGFLAGS) $(INCS) $(DLLFLAGS) $(CXXFLAGS)
 
 .PHONY: all all-before all-after clean clean-custom
 
 .cpp.o:
-	$(CXX) $(CXXFLAGS) -c -o $@ $<
+	$(CXX) $(COMPILEFLAGS) -c -o $@ $<
 
 all: lib
 
@@ -47,8 +50,8 @@
 	rm -f .depend
 
 libebml.a: $(OBJ)
-	ar r $@ $(OBJ)
-	ranlib $@
+	$(AR) rcvu $@ $(OBJ)
+	$(RANLIB) $@
 
 libebml.dll: $(OBJ)
 	$(CXX) -shared -Wl,--export-all -Wl,--out-implib=$@.a -o $@ $(OBJ)

## libebml 1.2.0+dfsg

=== debian/changelog ===
libebml (1.2.0+dfsg-0ubuntu1) natty; urgency=low

  * New upstream release (LP: #722378)
  * Bump SONAME to libebml3.
  * Convert to source format 3.0.

 -- Julien Lavergne <gilir@ubuntu.com>  Mon, 21 Feb 2011 00:56:16 +0100

libebml (1.0.0+dfsg-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * Removed patches merged upstream:
    - 010_propagate_cflags.diff
    - 020_invalid_cast.diff
    - 030_g++-4.3.diff
  * debian/control:
    - Removed quilt build-dependency, not needed.
    - Renamed libebml0 to libebml2 to match soname.
    - Bumped Standards-Version to 3.8.4.
  * debian/copyright:
    - Updated FSF address.
  * debian/rules:
    - Do not ignore make error.

 -- Maia Kozheva <sikon@ubuntu.com>  Sun, 06 Jun 2010 04:06:43 +0700

libebml (0.7.7-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update debian/copyright (Closes: 465252).
  * Add debian/patches/030_g++-4.3.diff to fix g++-4.3 FTBFS (Closes: 455184).

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 18 Mar 2008 23:58:01 +0100

libebml (0.7.7-3) unstable; urgency=low

  * No upstream version in a long time. Distributing shared libraries now.
  * debian/rules:
    + No longer build _pic.a library.
  * debian/control:
    + Add libebml0 package.
  * debian/compat:
    + Set compat to 5.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 15 Mar 2007 17:28:01 +0100

libebml (0.7.7-2) unstable; urgency=low

  * debian/control:
    + Set pkg-multimedia-maintainers as main maintainer.
    + Added Vcs fields.
    + Set policy to 3.7.2.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 15 Mar 2007 02:35:26 +0100

libebml (0.7.7-1) unstable; urgency=low

  * New upstream release.
  * This release fixes a file corruption issue (Closes: #360644).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon,  3 Apr 2006 22:18:57 +0200

libebml (0.7.6-3) unstable; urgency=low

  * Switched patch system to quilt.
  * debian/control:
    + Build-depend on quilt.

  * 010_propagate_cflags.diff: (new patch from old diff.gz) propagate custom
    CXXFLAGS to the build process.

  * 020_invalid_cast.diff: (new patch from old diff.gz) cast pointers to
    uintptr_t instead of unsigned long.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 30 Mar 2006 17:14:29 +0200

libebml (0.7.6-2) unstable; urgency=low

  * debian/compat: set level to 4.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 26 Nov 2005 20:01:04 +0100

libebml (0.7.6-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 30 Oct 2005 15:49:31 +0100

libebml (0.7.5-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Set policy to 3.6.2.1.
  * src/EbmlFloat.cpp:
    + Fixed amd64 FTBFS (Closes: #300548).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 15 Jul 2005 13:46:53 +0300

libebml (0.7.3-1) unstable; urgency=low

  * New upstream release (Closes: #288715, #290687).
  * ebml/EbmlCrc32.h: cast pointer to uintptr_t before doing arithmetic
    operations on it (Closes: #284881).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 12 Mar 2005 16:24:35 +0100

libebml (0.7.1-1) unstable; urgency=medium

  * New upstream release (Closes: #271897).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 17 Sep 2004 11:38:18 +0200

libebml (0.7.0-2) unstable; urgency=low

  * debian/control:
    + Set policy to 3.6.1.1.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 24 Jul 2004 13:52:21 +0200

libebml (0.7.0-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 26 Apr 2004 22:22:03 +0200

libebml (0.6.3-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue,  6 Jan 2004 21:07:21 +0100

libebml (0.6.2-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue,  4 Nov 2003 11:14:30 +0100

libebml (0.6.0-2) unstable; urgency=low

  * Fixed upstream's braindamaged use of DEB_BUILD_OPTIONS.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 15 Oct 2003 09:00:42 +0200

libebml (0.6.0-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 12 Oct 2003 16:50:58 +0200

libebml (0.5.0-4) unstable; urgency=low

  * Used "cvs2cl --utc --no-wrap -w --stdout -g -z9" to generate an upstream
    changelog (Closes: #208599).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri,  5 Sep 2003 09:26:58 +0200

libebml (0.5.0-3) unstable; urgency=low

  * make/linux/Makefile:
    + Fixed $(CUSTOMFLAGS) so that the PIC lib gets built.
  * debian/control:
    + Set policy to 3.6.1.0.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue,  2 Sep 2003 21:12:08 +0200

libebml (0.5.0-2) unstable; urgency=low

  * debian/control:
    + Downgraded debhelper build-dependency to allow easier backporting.
    + Enhanced the long description.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 14 Aug 2003 11:06:11 +0200

libebml (0.5.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Set policy to 3.6.0. No changes required.
    + Set debhelper build-dependency to (>= 4.0) because of debian/compat.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu,  7 Aug 2003 14:54:50 +0200

libebml (0.4.4+cvs.20030622-1) unstable; urgency=low

  * First Debian release (Closes: #198706).
  * debian/control:
    + Set policy to 3.5.10.
    + Rephrased upstream's long description.
  * debian/rules:
    + Ship PIC libraries so that application plugins can be linked with us.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 25 Jun 2003 05:22:08 +0200

=== debian/control ===
Source: libebml
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
Build-Depends: debhelper (>= 5.0)
Standards-Version: 3.8.4
XS-Vcs-Svn: svn://svn.debian.org/pkg-multimedia/unstable/libebml
XS-Vcs-Browser: http://svn.debian.org/wsvn/pkg-multimedia/unstable/libebml/

Package: libebml3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: access library for the EBML format
 The libebml library allows to read and write files using EBML (the
 Extensible Binary Meta Language), a binary pendant to XML. Using libebml
 makes it easier to extend a file format without breaking support in
 older parsers.
 .
 This package contains the shared library needed to run applications that
 use libebml.

Package: libebml-dev
Section: libdevel
Architecture: any
Depends: libebml3 (=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: access library for the EBML format - development files
 The libebml library allows to read and write files using EBML (the
 Extensible Binary Meta Language), a binary pendant to XML. Using libebml
 makes it easier to extend a file format without breaking support in
 older parsers.
 .
 This package contains the header files and static libraries needed to
 compile applications that use libebml.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS = -O0
else
CFLAGS = -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir
	$(MAKE) -C make/linux CUSTOMFLAGS="$(CFLAGS)"
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -f debian/dirs debian/docs debian/*.files
	$(MAKE) -C make/linux clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) -C make/linux prefix=$(CURDIR)/debian/tmp/usr install
	dh_install -si --fail-missing --sourcedir=debian/tmp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## libebml 1.2.1

=== debian/changelog ===
libebml (1.2.1-1) unstable; urgency=low

  * Team upload.
  * New upstream release (Closes: #631803):
    - fix the constructor of CRTError in StdIOCallback
    - fix the size returned by MemIOCallback::read()
      when reaching the end of the buffer
    - add a macro to define signed integer elements that
      have a default value
  * Correct maintainer's name.
  * Bump Standards.
  * Remove useless shlibs:Depends macro from -DEV's Depends field.
  * Fix small errors in the packages description.
  * Remove unnecessary debian/dirs file.

 -- Alessio Treglia <alessio@debian.org>  Tue, 28 Jun 2011 10:12:23 +0200

libebml (1.2.0-2) unstable; urgency=low

  * Team upload.

  [ Rico Tzschichholz ]
  * add myself to uploaders

  [ Fabian Greffrath ]
  * Remove myself from Uploaders.

  [ Reinhard Tartler ]
  * upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 05 Mar 2011 17:54:36 +0100

libebml (1.2.0-1) experimental; urgency=low

  [ Rico Tzschichholz ]
  * New upstream release
  * debian/control,debian/libebml3.install:
    + bump library soname to libebml3
  * debian/control:
    + bump standard version to 3.9.1

  [ Reinhard Tartler ]
  * upload to experimental

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 18 Feb 2011 20:54:15 +0100

libebml (1.0.0-1) experimental; urgency=low

  [ Reinhard Tartler ]
  * remove generated files from branch
  * add .gitignore file
  * bump shlips
  * remove debian/patches/010_propagate_cflags.diff hack
  * remove debian/patches/020_invalid_cast.diff, applied upstream
  * remove debian/patches/030_g++-4.3.diff, merged upstream
  * don't create usr/include in libebml0 package

  [ Fabian Greffrath ]
  * Add debian/watch.
  * Add debian/gbp.conf.
  * Imported Upstream version 1.0.0 (Closes: #582238).

  [ Reinhard Tartler ]
  * prepare new upload
  * convert to Source Format 3.0 (quilt)
  * update Vcs- headers

  [ Fabian Greffrath ]
  * Remove useless debian/*.dirs.
  * Bump library soname to libebml2.
  * Convert Debian packaging to dh 7.
  * Add myself to Uploaders.
  * Bump Standards-Version to 3.8.4.
  * Fix weak-library-dev-dependency.
  * Fix debhelper-but-no-misc-depends.
  * Wrap lines in debian/control.
  * Fix duplicate-short-description.
  * Fix old-fsf-address-in-copyright-file.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Tue, 08 Jun 2010 23:13:59 +0200

libebml (0.8.0-1) unstable; urgency=low

  * new upstream release. (Closes: 582238).

 -- Eric Dantan Rzewnicki <eric@zhevny.com>  Sat, 29 May 2010 09:54:09 -0400

=== debian/control ===
Source: libebml
Section: devel
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
 Rico Tzschichholz <ricotz@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/pkg-multimedia/libebml.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libebml.git;a=summary
Homepage: http://dl.matroska.org/downloads/libebml/

Package: libebml3
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: access library for the EBML format (shared library)
 The libebml library allows one to read and write files using EBML (the
 Extensible Binary Meta Language), a binary pendant to XML. Using libebml
 makes it easier to extend a file format without breaking support in
 older parsers.
 .
 This package contains the shared library needed to run applications that
 use libebml.

Package: libebml-dev
Section: libdevel
Architecture: any
Depends: libebml3 (= ${binary:Version}),
 ${misc:Depends}
Description: access library for the EBML format (development files)
 The libebml library allows one to read and write files using EBML (the
 Extensible Binary Meta Language), a binary pendant to XML. Using libebml
 makes it easier to extend a file format without breaking support in
 older parsers.
 .
 This package contains the header files and static libraries needed to
 compile applications that use libebml.

## libebml 1.2.2

=== make/linux/Makefile ===
--- 
+++ 
@@ -49,7 +49,7 @@
 # Names
 LIBRARY=libebml.a
 LIBRARY_SO=libebml.so
-LIBRARY_SO_VER=libebml.so.2
+LIBRARY_SO_VER=libebml.so.3
 
 # source-files
 sources:=$(wildcard ${SRC_DIR}*$(EXTENSION))

=== make/vc7/Makefile ===
# Project: libebml
# Makefile to use the Free Visual C++ 2003 compiler from Microsoft with GNU Make

# Compile with debug information?
#DEBUG = yes


#
# Don't change anything below this line.
#
CXX  = cl /Tp
CC   = cl /Tc
SRC  = $(wildcard ../../src/*.cpp)
OBJ  = $(patsubst %.cpp,%.obj,$(SRC))
INCS = /I../..
LDFLAGS = /NOLOGO /DLL /MAP:libebml.map /VERSION:0.7
OPTMIZ = /G6 /O2 /Oi /Wp64 /GL
CXXFLAGS = $(INCS) /DWIN32 /nologo /DEBML_DLL /DEBML_DLL_EXPORT


ifeq (yes,$(DEBUG))
CXXFLAGS += /Zi /DDEBUG /D_DEBUG /MTd /RTC1
LDFLAGS += /DEBUG
else
CXXFLAGS += /MT
LDFLAGS += /OPT:REF
endif

LIBS = libebml.dll

.PHONY: all all-before all-after clean clean-custom

%.obj : %.cpp
	$(CXX) $< /c $(CXXFLAGS) /Fo$@

all: lib

lib: $(LIBS)

clean:
	$(RM) $(OBJ) libebml.lib libebml.dll

libebml.lib: $(OBJ)
	lib /OUT:$@ /NODEFAULTLIB $(OBJ)

libebml.dll: $(OBJ)
	link $(LDFLAGS) /OUT:$@ $(OBJ) user32.lib

depend:
	$(CXX) $(CXXFLAGS) -MM $(SRC) > .depend

#
# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif

=== debian/changelog ===
libebml (1.2.2-2~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Revert multi-arch changes.

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 18 May 2012 16:16:43 +0200

libebml (1.2.2-2) unstable; urgency=low

  * Team upload.

  [ Matteo F. Vescovi ]
  * debian/control: uploader's email address changed

  [ Alessio Treglia ]
  * Introduce Multiarch.

 -- Alessio Treglia <alessio@debian.org>  Tue, 14 Feb 2012 11:31:58 +0100

libebml (1.2.2-1) unstable; urgency=low

  * New upstream release

 -- Matteo F. Vescovi <m.vescovi@revese.it>  Wed, 05 Oct 2011 13:46:42 +0200

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,23 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
- Rico Tzschichholz <ricotz@ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~)
+Uploaders:
+ Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
+ Rico Tzschichholz <ricotz@ubuntu.com>,
+ Matteo F. Vescovi <mfv.debian@gmail.com>
+Build-Depends:
+ debhelper (>= 8)
 Standards-Version: 3.9.2
+Homepage: http://dl.matroska.org/downloads/libebml/
 Vcs-Git: git://git.debian.org/pkg-multimedia/libebml.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libebml.git;a=summary
-Homepage: http://dl.matroska.org/downloads/libebml/
+Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libebml.git
 
 Package: libebml3
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: access library for the EBML format (shared library)
  The libebml library allows one to read and write files using EBML (the
  Extensible Binary Meta Language), a binary pendant to XML. Using libebml
@@ -27,7 +31,8 @@
 Package: libebml-dev
 Section: libdevel
 Architecture: any
-Depends: libebml3 (= ${binary:Version}),
+Depends:
+ libebml3 (= ${binary:Version}),
  ${misc:Depends}
 Description: access library for the EBML format (development files)
  The libebml library allows one to read and write files using EBML (the

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --sourcedirectory=make/linux

override_dh_auto_install:
	dh_auto_install -- prefix=$(CURDIR)/debian/tmp/usr

## libebml 1.3.0

=== make/linux/Makefile ===
--- 
+++ 
@@ -49,7 +49,7 @@
 # Names
 LIBRARY=libebml.a
 LIBRARY_SO=libebml.so
-LIBRARY_SO_VER=libebml.so.3
+LIBRARY_SO_VER=libebml.so.4
 
 # source-files
 sources:=$(wildcard ${SRC_DIR}*$(EXTENSION))
@@ -61,7 +61,7 @@
 objects:=$(patsubst %$(EXTENSION),%.o,$(sources))
 objects_so:=$(patsubst %$(EXTENSION),%.lo,$(sources))
 
-WARNINGFLAGS=-Wall -Wno-unknown-pragmas -ansi -fno-gnu-keywords -Wshadow
+WARNINGFLAGS=-Wall -Wextra -Wno-unknown-pragmas -ansi -fno-gnu-keywords -Wshadow
 COMPILEFLAGS=$(WARNINGFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(DEBUGFLAGS) $(INCLUDE)
 DEPENDFLAGS  = $(CXXFLAGS) $(INCLUDE)

=== debian/changelog ===
libebml (1.3.0-2+deb8u1build0.14.04.1) trusty-security; urgency=medium

  * fake sync from Debian

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 14 Apr 2016 14:15:56 -0400

libebml (1.3.0-2+deb8u1) jessie-security; urgency=medium

  * Non-maintainer upload.
  * Add CVE-2015-8789.patch.
    Fix use-after-free vulnerability in the EbmlMaster::Read function.
  * Add CVE-2015-8790.patch.
    Fix EbmlUnicodeString::UpdateFromUTF8 function that allowed
    context-dependent attackers to obtain sensitive information from process
    heap memory via a crafted UTF-8 string.
  * Add CVE-2015-8791.patch.
    Fix EbmlElement::ReadCodedSizeValue function that allowed context-dependent
    attackers to obtain sensitive information from process heap memory via a
    crafted length value in an EBML id.

 -- Markus Koschany <apo@debian.org>  Tue, 29 Mar 2016 18:58:48 +0200

libebml (1.3.0-2) unstable; urgency=low

  * Upload to unstable (Closes: #720182)

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Mon, 19 Aug 2013 15:48:15 +0200

libebml (1.3.0-1) experimental; urgency=low

  * New upstream release
    - debian/: SONAME bump libebml3 => libebml4
  * debian/control: Standards-Version bumped to 3.9.4
  * debian/control: Vcs-* URLs updated

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Sat, 29 Jun 2013 15:04:57 +0200

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,17 @@
  Rico Tzschichholz <ricotz@ubuntu.com>,
  Matteo F. Vescovi <mfv.debian@gmail.com>
 Build-Depends:
- debhelper (>= 8)
-Standards-Version: 3.9.2
+ debhelper (>= 9)
+Standards-Version: 3.9.4
 Homepage: http://dl.matroska.org/downloads/libebml/
-Vcs-Git: git://git.debian.org/pkg-multimedia/libebml.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libebml.git
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libebml.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/libebml.git
 
-Package: libebml3
+Package: libebml4
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
@@ -31,8 +33,9 @@
 Package: libebml-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends:
- libebml3 (= ${binary:Version}),
+ libebml4 (= ${binary:Version}),
  ${misc:Depends}
 Description: access library for the EBML format (development files)
  The libebml library allows one to read and write files using EBML (the

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --sourcedirectory=make/linux

override_dh_auto_install:
	dh_auto_install -- prefix=$(CURDIR)/debian/tmp/usr \
		libdir=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)

## libebml 1.3.1

=== debian/changelog ===
libebml (1.3.1-2) experimental; urgency=medium

  * debian/: pkg-config dependency added

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 07 Jan 2015 17:57:19 +0100

libebml (1.3.1-1) experimental; urgency=medium

  * New upstream release
  * debian/copyright: DEP-5 compliance added
  * debian/rules: source directory parameter dropped
  * debian/rules: dh_auto_install stanza dropped
  * debian/control: Uploader e-mail address updated
  * debian/control: S-V bump 3.9.4 => 3.9.6 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 07 Jan 2015 09:29:28 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Uploaders:
  Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
  Rico Tzschichholz <ricotz@ubuntu.com>,
- Matteo F. Vescovi <mfv.debian@gmail.com>
+ Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
- debhelper (>= 9)
-Standards-Version: 3.9.4
+ debhelper (>= 9),
+ pkg-config
+Standards-Version: 3.9.6
 Homepage: http://dl.matroska.org/downloads/libebml/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libebml.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/libebml.git

## libebml 1.3.3

=== debian/changelog ===
libebml (1.3.3-1ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: heap-based out of bounds read
    - debian/patches/CVE-2019-13615-1.patch: check the max size to read
      before actually reading in src/EbmlElement.cpp.
    - debian/patches/CVE-2019-13615-2.patch: do not output an element with
      size Unknown if it's not allowed in src/EbmlElement.cpp.
    - debian/patches/CVE-2019-13615-3.patch: exit the max size loop when
      there's nothing left possible to find in src/EbmlElement.cpp.
    - debian/patches/CVE-2019-13615-4.patch: rework the way we look at the
      end boundary when looking an element in a parent in
      src/EbmlElement.cpp.
    - CVE-2019-13615

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 24 Jul 2019 14:03:37 -0400

libebml (1.3.3-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 21 Oct 2015 15:36:15 +0200

libebml (1.3.2-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 20 Oct 2015 09:34:12 +0200

libebml (1.3.1-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 04 Aug 2015 21:02:58 +0200

libebml (1.3.1-4) experimental; urgency=medium

  * Team upload.
  * Rename libebml4 for GCC 5 transition.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 03 Aug 2015 22:26:59 +0200

libebml (1.3.1-3) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 27 Apr 2015 10:33:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: libebml
 Section: devel
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
  Rico Tzschichholz <ricotz@ubuntu.com>,
  Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
  debhelper (>= 9),
- pkg-config
+ pkg-config,
+ g++ (>= 4:5.2)
 Standards-Version: 3.9.6
 Homepage: http://dl.matroska.org/downloads/libebml/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libebml.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/libebml.git
 
-Package: libebml4
+Package: libebml4v5
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -22,6 +24,10 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
+Breaks:
+ libebml4
+Replaces:
+ libebml4
 Description: access library for the EBML format (shared library)
  The libebml library allows one to read and write files using EBML (the
  Extensible Binary Meta Language), a binary pendant to XML. Using libebml
@@ -36,7 +42,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libebml4 (= ${binary:Version}),
+ libebml4v5 (= ${binary:Version}),
  ${misc:Depends}
 Description: access library for the EBML format (development files)
  The libebml library allows one to read and write files using EBML (the

## libebml 1.3.4

=== debian/changelog ===
libebml (1.3.4-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with GCC 7 to fix FTBFS of reverse-dependencies. (Closes: #870797)
    - Build-depend on gcc >= 7.
    - Update shlibs to ensure rdeps pull in the new version.

  * debian/compat: Use debhelper compat 10.
  * debian/libebml-dev.files: Remove.

 -- James Cowgill <jcowgill@debian.org>  Sat, 05 Aug 2017 15:54:14 -0400

libebml (1.3.4-1) unstable; urgency=medium

  * New upstream release
  * debian/control: S-V bump 3.9.6 -> 3.9.8 (no changes needed)
  * debian/control: Vcs-* fields updated for https:// usage

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 04 Jul 2016 22:42:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: libebml
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
  Rico Tzschichholz <ricotz@ubuntu.com>,
  Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  pkg-config,
- g++ (>= 4:5.2)
-Standards-Version: 3.9.6
+ g++ (>= 4:7)
+Standards-Version: 3.9.8
 Homepage: http://dl.matroska.org/downloads/libebml/
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libebml.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/libebml.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libebml.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/libebml.git
 
 Package: libebml4v5
 Section: libs

## libebml 1.3.5

=== debian/changelog ===
libebml (1.3.5-2ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: heap-based out of bounds read
    - debian/patches/CVE-2019-13615-1.patch: check the max size to read
      before actually reading in src/EbmlElement.cpp.
    - debian/patches/CVE-2019-13615-2.patch: do not output an element with
      size Unknown if it's not allowed in src/EbmlElement.cpp.
    - debian/patches/CVE-2019-13615-3.patch: exit the max size loop when
      there's nothing left possible to find in src/EbmlElement.cpp.
    - debian/patches/CVE-2019-13615-4.patch: rework the way we look at the
      end boundary when looking an element in a parent in
      src/EbmlElement.cpp.
    - CVE-2019-13615

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 24 Jul 2019 13:32:41 -0400

libebml (1.3.5-2) unstable; urgency=medium

  * Re-enable changes made with 1.3.4-2 revision
    and dropped by mistake in 1.3.5-1 (Closes: #870797)

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 27 Aug 2017 22:25:13 +0200

libebml (1.3.5-1) unstable; urgency=medium

  * New upstream release (Closes: #872775)
    - debian/watch: .tar.bz2 -> .tar.xz
  * debian/control: S-V bump 3.9.8 -> 4.0.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 25 Aug 2017 22:55:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libebml
 Section: devel
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
  Rico Tzschichholz <ricotz@ubuntu.com>,
@@ -10,7 +11,7 @@
  debhelper (>= 10),
  pkg-config,
  g++ (>= 4:7)
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://dl.matroska.org/downloads/libebml/
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libebml.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/libebml.git

=== debian/watch ===
version=3
http://dl.matroska.org/downloads/libebml/libebml-(.*)\.tar\.xz
